// Groove Dec 18 2012 for T2012 config

// 1.40 binds menu insert
function Groove::addBindsToMenu() after GameBinds::Init
	{
	$GameBinds::CurrentMap = "actionMap.sae";
	$GameBinds::CurrentMapHandle = GameBinds::GetActionMap2( "actionMap.sae" );
	GameBinds::addBindCommand( "Groove Settings", "Groove::OnOff();", "" );
	}

function vhud::Groove::create()
{
	if ( $vGroove::Loaded )
		return;
		
	$vGroove::Loaded = true;

	vhud::create( "ScriptGL::vGroove", "20% 20%", "20% 20%", vhud::vGroove::render );
	HUD::New("ScriptGL::vGroove", 150, 150, 400, 400);
}

function vhud::vGroove::render()
{
	if($Scriptgl::CurrentGui != "playGui")
		return;
		
	if(!Control::getVisible("ScriptGL::vGroove"))
		return;
		
	%size = Control::getExtent("ScriptGL::vGroove");
	%size[x] = getWord(%size,0);
	%size[y] = getWord(%size,1);
	$vhud::vGroove::Position = Control::getposition("ScriptGL::vGroove");
	%x = getWord($vhud::vGroove::Position,0);
	%y = getWord($vhud::vGroove::Position,1);
	%togslot = 0;
	%slideslot = 0;

	glDisable($GL_TEXTURE_2D);
	glColor4ub( 0, 10, 120, 167 );
	glBegin($GL_QUADS);
		glVertex2f(%x , %y);
		glVertex2f(%x + %size[x], %y);
		glVertex2f(%x + %size[x], %y + %size[y]);
		glVertex2f(%x , %y + %size[y]);
	glEnd();

// top buttons
	Groove::MakeButton(%x, %y + 2, 80, 25, "Sliders", "$pref::vhud::Groove::menu = 1;", "arial", 10, 167,0,0,167 );
	Groove::MakeButton(%x + 90, %y + 2, 80, 25, "Toggles", "$pref::vhud::Groove::menu = 0;", "arial", 10, 0,0,167,167 );
	Groove::MakeButton(%x + 180, %y + 2, 25, 25, "3", "$pref::vhud::Groove::menu = 2;", "arial", 10, 167,0,167,167 );
	Groove::MakeButton(%x + %size[x] - 80, %y, 80, 30, "HIDE HUD", "Groove::hidehud();", "Digital-7", 14, 0,205,0,100 );
// bottom buttons
	Groove::MakeButton(%x + 2, %y + %size[y] - 32, 120, 30, "Show Info", "Show::InfoStat();", "arial", 10, 0,0,0,255 );
	Groove::MakeButton(%x + %size[x] - 152, %y + %size[y] - 32, 150, 30, "Change HUD STYLE", "Colorchange::styleup();", "verdana", 9, 0,0,0,187 );

	if ($LoaderPlugin::HappyMod) {
		glDrawTexture("DERP.jpg", $GLEX_SCALED, %x + 20, %y + 20, 0.9, 1.0 );}

//	if($pref::vhud::Groove::menu == "0") {
	if(!$pref::vhud::Groove::menu) {
		Groove::MakeToggle(%x, %y, %togslot++*30, "LED Health/Energy Digital display", "$pref::vhud::LEDHealth::digital" );
		Groove::MakeToggle(%x, %y, %togslot++*30, "ScriptGL CTFHUD Vertical", "$pref::vhud::ctf::style" );
		Groove::MakeToggle(%x, %y, %togslot++*30, "Hide ScriptGL WeaponHUD", "$pref::vWeaponHUD::hide" );
		Groove::MakeToggle(%x, %y, %togslot++*30, "Enable Native HUD Greenlines", "$ScriptGL::Hud::ShowGreenlines" );
		Groove::MakeToggle(%x, %y, %togslot++*30, "Hide Beacon Targets", "$pref::ignoreTargets" );
		Groove::MakeToggle(%x, %y, %togslot++*30, "Enable Sky", "$pref::skyDetail" );
		Groove::MakeToggle(%x, %y, %togslot++*30, "MiniMap Square", "$pref::miniMapSquare" );
		Groove::MakeToggle(%x, %y, %togslot++*30, "Clientside Explosions", "$pref::clientSideExplosions" );
		}
	if($pref::vhud::Groove::menu == "1") { 
		Groove::Slidey(%x + 5, %y, %slideslot++*30, $pref::miniMapZoom, "Minimap Zoom", "$pref::miniMapZoom", 3);
		Groove::Slidey(%x + 5, %y, %slideslot++*30, $pref::TerrainVisibleDistance, "Vis Distance", "$pref::TerrainVisibleDistance", 2500);
		Groove::Slidey(%x + 5, %y, %slideslot++*30, $pref::OOBGridPercent, "OOB grid distance", "$pref::OOBGridPercent", 1);
		Groove::Slidey(%x + 5, %y, %slideslot++*30, $pref::OOBGridAlpha, "OOB grid alpha", "$pref::OOBGridAlpha", 2);
		Groove::Slidey(%x + 5, %y, %slideslot++*30, $pref::TerrainLODAmount, "Terrain LOD Amt", "$pref::TerrainLODAmount", 2);
		Groove::Slidey(%x + 5, %y, %slideslot++*30, $pref::shadowDetailMask, "Shadow Detail Mask", "$pref::shadowDetailMask", 15);
		Groove::Slidey(%x + 5, %y, %slideslot++*30, $pref::shadowDetailScale, "Shadow Detail Scale", "$pref::shadowDetailScale", 2);
		Groove::Slidey(%x + 5, %y, %slideslot++*30, $ScriptGL::Latency, "SGL Latency", "$ScriptGL::Latency", 300);
		}
	if($pref::vhud::Groove::menu == "2") {
	glSetFont( "verdana", 9, 0, 9 );
	glColor4ub( 255, 255, 255, 255 );
	glDrawString(%x + 20,%y + 40, "vBackground Colors" );
	Groove::MakeButton(%x + 165, %y + 35, 55, 18, "Reset", "vhud::vBackground::reset();", "arial", 8, 220,0,0,167 );
	Groove::Slidey(%x + 5, %y, 60, $vhud::Background::colorR, "Backgrounds Red", "$vhud::Background::colorR", 255);
	Groove::Slidey(%x + 5, %y, 90, $vhud::Background::colorG, "Backgrounds Green", "$vhud::Background::colorG", 255);
	Groove::Slidey(%x + 5, %y, 120, $vhud::Background::colorB, "Backgrounds Blue", "$vhud::Background::colorB", 255);
	Groove::Slidey(%x + 5, %y, 150, $vhud::Background::colorA, "Backgrounds Alpha", "$vhud::Background::colorA", 255);
		if(Winamp::IsActive( )) {
		glSetFont( "verdana", 12, 0, 9 );
		glColor4ub( 0, 255, 255, 255 );
		glDrawString(%x + 100,%y + 280, "Winamp Controls" );
		Groove::MakeButton(%x + 10, %y + 300, 50, 25, "Back", "Winamp::Command(prev);", "arial", 10, 167,90,0,167 );
		Groove::MakeButton(%x + 80, %y + 300, 50, 25, "Play", "Winamp::Command(play);", "arial", 10, 167,90,0,167 );	
		Groove::MakeButton(%x + 150, %y + 300, 50, 25, "Pause", "Winamp::Command(pause);", "arial", 10, 167,90,0,167 );	
		Groove::MakeButton(%x + 220, %y + 300, 50, 25, "Stop", "Winamp::Command(stop);", "arial", 10, 167,90,0,167 );
		Groove::MakeButton(%x + 290, %y + 300, 50, 25, "Next", "Winamp::Command(next);", "arial", 10, 167,90,0,167 );	
		glSetFont( "verdana", 8, 0, 9 );
		glColor4ub( 255, 255, 255, 255 );
		glDrawString(%x + 10,%y + 335, Winamp::Command(songtitle) ); }
	if ($LoaderPlugin::TransChat) {
		Groove::MakeButton(%x + 20, %y + 200, 120, 30, "Enable TransChat", "TransChat::Enable();", "arial", 10, 0,30,187,167 );
		Groove::MakeButton(%x + 160, %y + 200, 120, 30, "Disable TransChat", "TransChat::Disable();", "arial", 10, 0,30,187,167 ); }
	}
}

// Make Togglebutton function 

function Groove::MakeToggle(%x, %y, %down, %name, %praf) {
	glDisable($GL_TEXTURE_2D);
	glColor4ub(0,0,0,255);
	glRectangle( %x + 5, %y + %down, 25, 25 );
	glColor4ub(255,255,255,80);
	glRectangle( %x + 7, %y + %down + 2, 21, 21 );
	glSetFont( "arial", 9, 0, 9 );
	glColor4ub(255,255,255,255);
	glDrawString(%x + 40, %y + %down + 10, %name );
	if(*%praf == "true")
	glDrawTexture("checked.png", $GLEX_DRAW, %x + 5, %y + %down);
	if($Mouse[0])
		if(Mouse::isInside($mouse[x], $mouse[y], %x + 5, %y + %down , 25, 25))
			{
			disableDD();
			if(getsimtime() - $lastcheckboxclick > 0.2) {
			$lastcheckboxclick = getsimtime();
			Groove::leftclick();
			toggleBool( %praf );	
			}
	}
}

// Make Slideybox function. i know its wierd and out of order.

function Groove::Slidey(%x, %y, %down, %var, %label, %var2, %scale) {
	glDisable($GL_TEXTURE_2D);
	glColor4ub(0,0,0,187);
	glRectangle( %x + 4, %y + %down +2, 8, 20 );
	glRectangle( %x + 15, %y + %down, 202, 24 );
	glRectangle( %x + 220, %y + %down +2, 8, 20 );
	glSetFont( "arial", 7, 0, 9 );
	glColor4ub( 255,  255,  255,  255 );
	glDrawString(%x + 235, %y + %down + 10, %var );
	glDrawString(%x + 285, %y + %down + 10, %label );
	glDrawTexture("slidey4.png", $GLEX_SCALED, %x + 16, %y + %down + 2, (%var /%scale) , 1);
	if($Mouse[0])
		if(Mouse::isInside($mouse[x], $mouse[y], %x + 16, %y + %down + 2 , 200, 24))
			{
			disableDD();
			if(getsimtime() - $lastcheckboxclick > 0.2) {
			$lastcheckboxclick = getsimtime();
			*%var2 = %scale*($mouse[x] - %x - 15) / 200;
			}
	} 
	if($Mouse[0])
		if(Mouse::isInside($mouse[x], $mouse[y], %x + 220, %y + %down + 2 , 8, 20))
			{
			disableDD();
			if(getsimtime() - $lastcheckboxclick > 0.2) {
			$lastcheckboxclick = getsimtime();
			*%var2 = %scale;
			}
	} 
	if($Mouse[0])
		if(Mouse::isInside($mouse[x], $mouse[y], %x + 4, %y + %down + 2 , 8, 20))
			{
			disableDD();
			if(getsimtime() - $lastcheckboxclick > 0.2) {
			$lastcheckboxclick = getsimtime();
			*%var2 = 0;
			}
	} 
}


// Make Button function - sew many switches

function Groove::MakeButton(%x, %y, %btnwidth, %btnheight, %namer, %funk, %font, %fontsize, %R, %G, %B, %A) {
	glColor4ub( %R,  %G,  %B,  %A );
	glDisable( $GL_TEXTURE_2D );
	glBegin($GL_QUADS);
		glVertex2f(%x , %y );
		glVertex2f(%x + %btnwidth, %y );
		glVertex2f(%x + %btnwidth, %y + %btnheight );
		glVertex2f(%x , %y + %btnheight );
	glEnd();

	glSetFont( %font, %fontsize, 0, 9 );
	glColor4ub( 255,  255,  255,  255 );
	%strw = glGetStringDimensions(%namer);
	%strw[x] = getWord(%strw,0);
	glDrawString((%x + %btnwidth /2) - (%strw[x]/2), (%y + %btnheight /2) - (%fontsize/2) , %namer );
	if($Mouse[0])
		if(Mouse::isInside($mouse[x], $mouse[y], %x, %y, %btnwidth, %btnheight ))
			{
			disableDD();
			if(getsimtime() - $lastcheckboxclick > 0.2) {
			$lastcheckboxclick = getsimtime();
			Groove::leftclick();
			schedule(%funk, 0.3);
			}
	}
}

function Groove::hidehud() {
	schedule("CursorOff(MainWindow);", 0.3);
	control::setVisible ("ScriptGL::vGroove", false); }

function Groove::leftclick() {
	localSound(weapon5);
	glDrawTexture("pew.png", $GLEX_SCALED, $mouse[x] - 11 , $mouse[y] - 10 , 1, 1); 
	}

function toggleBool(%var){ *%var = !(*%var); echo("toggal");}

function Groove::OnOff() {
  if(!Control::getVisible("ScriptGL::vGroove")) {
	control::setVisible ("ScriptGL::vGroove", true);
	$MouseEnable=true;
	CursorOn(MainWindow); }
  else if(control::setVisible ("ScriptGL::vGroove", true)) {
	control::setVisible ("ScriptGL::vGroove", false);
	$MouseEnable=false;
	CursorOff(MainWindow); }
  }

vhud::Groove::create();

control::setVisible ("ScriptGL::vGroove", false);