// ScriptGL stats and info by Groove
// i made this so it was easier to check values of things in-game
// it's pretty useless but it comes in handy sometimes

// to insert bind into the 1.40 menu

function InfoHUD::addBindsToMenu() after GameBinds::Init
{
	$GameBinds::CurrentMap = "actionMap.sae";
	$GameBinds::CurrentMapHandle = GameBinds::GetActionMap2( "actionMap.sae" );
	GameBinds::addBindCommand( "ScriptGL Stats", "Show::InfoStat();", "" );
}

function vhud::InfoHUD::create()
{
	if ( $vInfoHUD::Loaded )
		return;
		
	$vInfoHUD::Loaded = true;

	vhud::create( "ScriptGL::vInfoHUD", "20% 20%", "20% 20%", vhud::vInfoHUD::render );
	HUD::New("ScriptGL::vInfoHUD", 420, 0, 300, 380);
}

function vhud::vInfoHUD::render()
{
	if($Scriptgl::CurrentGui != "playGui")
		return;
		
	if(!Control::getVisible("ScriptGL::vInfoHUD"))
		return;
		
	%pos = Control::getposition("ScriptGL::vInfoHUD");
	%x = getWord(%pos, 0);
	%y = getWord(%pos, 1);
	%size = Control::getExtent("ScriptGL::vInfoHUD");
	%size[x] = getWord(%size,0);
	%size[y] = getWord(%size,1);
	%name=Client::GetName(getManagerId());
	%Rating = ($Collector::Score[%name]);
	%slot = -1;
	%str = timestamp();
	%datetime = string::getsubstr(%str, 0, 21);

// make the line that shows whether the Humpin script is humping say engaged instead of 1
	if ($check::HumpTrack != 0 )
	%derp = "Engaged";
	else
	%derp = "Disengaged";

	glDisable($GL_TEXTURE_2D);
	glColor4ub( 0, 0, 0, 167 );
	if(Mouse::isInside($mouse[x], $mouse[y], %x, %y, %size[x], %size[y]))
	glColor4ub( 0, 10, 120, 167 );
	glBegin($GL_QUADS);
		glVertex2f(%x , %y);
		glVertex2f(%x + %size[x], %y);
		glVertex2f(%x + %size[x], %y + %size[y]);
		glVertex2f(%x , %y + %size[y]);
	glEnd();
	
	glSetFont( "verdana", 11, 0, 9 );
	glColor4ub( 164,  204,  151,  255 );
	glDrawString(%x + 2,%y + 2, "Extended Info: " );

// top fields
	glSetFont( "verdana", 9, 0, 9 );
	glColor4ub( 255,  204,  255,  255 );
	vInfoHUD::Draw(%x, %y + %slot++*15, "Server Name: ", $ServerName);
	vInfoHUD::Draw(%x, %y + %slot++*15, "Map Name: ", $ServerMission);
	vInfoHUD::Draw(%x, %y + %slot++*15, "Map Type: ", $MDESC::Type);
	vInfoHUD::Draw(%x, %y + %slot++*15, "Server Version: ", $ServerVersion);
	vInfoHUD::Draw(%x, %y + %slot++*15, "Player Rating: ", %Rating);
	vInfoHUD::Draw(%x, %y + %slot++*15, "Player Speed: ", $Speed);
	vInfoHUD::Draw(%x, %y + %slot++*15, "FOV: ", $pref::PlayerFov);
	vInfoHUD::Draw(%x, %y + %slot++*15, "FPS: ", $ConsoleWorld::FrameRate);
	vInfoHUD::Draw(%x, %y + %slot++*15, "ScriptGL FPS: ", $ScriptGL::Fps);
	vInfoHUD::Draw(%x, %y + %slot++*15, "Recording Demo: ", $recordDemo);
	vInfoHUD::Draw(%x, %y + %slot++*15, "Thump Hump: ", %derp);
	vInfoHUD::Draw(%x, %y + %slot++*15, "Weapon Desc: ", GetItemdesc(GetMountedItem(0)) );
	vInfoHUD::Draw(%x, %y + %slot++*15, "Backpack: ", GetItemdesc(GetMountedItem(1)) );
	vInfoHUD::Draw(%x, %y + %slot++*15, "Net PFT: ", $Net::PredictForwardTime);
	vInfoHUD::Draw(%x, %y + %slot++*15, "ScriptGL Latency: ", $ScriptGL::Latency );
//	vInfoHUD::Draw(%x, %y + %slot++*15, "String Dim $kill: ", glGetStringDimensions($kill) );
	vInfoHUD::Draw(%x, %y + %slot++*15, "Menulabel: ", $chatmenu::menuLabel );

// smaller fields
	glSetFont( "verdana", 7, 0, 9 );
	vInfoHUD::Draw(%x, %y + %slot++*12 + 70, "LED HUD Digital: ", $pref::vhud::LEDHealth::digital );
	vInfoHUD::Draw(%x, %y + %slot++*12 + 70, "ItemHUD Icons: ", $pref::vhud::Items::Icons );
	vInfoHUD::Draw(%x, %y + %slot++*12 + 70, "CtfHUD Vertical: ", $pref::vhud::ctf::style );
	vInfoHUD::Draw(%x, %y + %slot++*12 + 70, "HUD Style: ", $pref::vhud::Background::style );
	vInfoHUD::Draw(%x, %y + %slot++*12 + 70, "ScriptGL Greenlines: ", $ScriptGL::Hud::ShowGreenlines );
//	vInfoHUD::Draw(%x, %y + %slot++*12 + 70, "ItemHUD Loaded: ", $vItems::Loaded );
	vInfoHUD::Draw(%x, %y + %slot++*12 + 70, "Hide Beacon Targets: ", $pref::ignoreTargets );

// bottom lines, no slots
	vInfoHUD::Draw(%x, %y + %size[y] - 44, "Date/Time: ", %datetime );
	vInfoHUD::Draw(%x, %y + %size[y] - 32, $CPU::Vendor, "" );
}

function vInfoHUD::Draw(%x,%y, %label, %value) {
	glColor4ub( 255,  204,  255,  255 );
	glDrawString(%x + 2, %y + 20, %label);
	glColor4ub( 255,  255,  255,  255 );
	glDrawString(%x + 150, %y + 20, %value); }
	 
function Show::InfoStat() {
  if(!Control::getVisible("ScriptGL::vInfoHUD"))
	control::setVisible ("ScriptGL::vInfoHUD", true);
  else if(control::setVisible ("ScriptGL::vInfoHUD", true))
	control::setVisible ("ScriptGL::vInfoHUD", false);
  }

vhud::InfoHUD::create();

control::setVisible ("ScriptGL::vInfoHUD", false);