$vhud::Background::Texture::flaghud = "FlagHUD.png";
$vhud::Background::Texture::right = "right.png";

// set your RGBA color defaults here
// note that my vWeaponHUD also sets these defaults, but this loads after so it should override

function vhud::vBackground::reset() {
$vhud::Background::colorR = "255";
$vhud::Background::colorG = "255";
$vhud::Background::colorB = "255";
$vhud::Background::colorA = "205"; }

function vhud::vBackground::render()
{
	if($Scriptgl::CurrentGui != "playGui")
		return;
		
	if(!Control::getVisible("ScriptGL::vBackground"))
		return;

	%pg = Control::getExtent("PlayGui");
	%x = getWord(%pg, 0);
	%y = getWord(%pg, 1);
	%size = glGetTextureDimensions($vhud::Background::Texture::right);
	%dx = getWord(%size,0);
	%dy = getWord(%size,1);
	%R = $vhud::Background::colorR ;
	%G = $vhud::Background::colorG ;
	%B = $vhud::Background::colorB ;
	%A = $vhud::Background::colorA ;

	glBlendFunc($GL_ONE,$GL_ONE_MINUS_SRC_ALPHA);	
	glColor4ub(%R,%G,%B,%A);
	glDrawTexture($vhud::Background::Texture::flaghud, $GLEX_DRAW, 0 , 0 );	
	glDrawTexture($vhud::Background::Texture::right, $GLEX_DRAW, (%x - %dx ) , 0 );
}

function vhud::vBackground::create()
{
	if ( $vBackground::Loaded )
		return;
		
	$vBackground::Loaded = true;

	vhud::create( "ScriptGL::vBackground", "0% 0%", "0% 0%", vhud::vBackground::render );
	HUD::New("ScriptGL::vBackground", 0, 0, 80, 30);
}

vhud::vBackground::reset();
vhud::vBackground::create();