function vChatMenuHud::Render()
{
	if(!Control::getVisible("ScriptGL::vChatMenuHud"))
		return;
		
	if(!$chatmenu::itemcount)
		return;
			
	%size = control::getextent("ScriptGL::vChatMenuHud");
	Control::setextent("ScriptGL::vChatMenuHud", getword(%size,0),($chatmenu::itemcount+1)*15  + 40);
	%pos = control::getposition("ScriptGL::vChatMenuHud");
	%size = control::getextent("ScriptGL::vChatMenuHud");

	//Control::SetVisible("chatdisplayhud", false);
	glDisable($GL_TEXTURE_2D);
	glDisable($GL_SCISSOR_TEST);
	glEnable($GL_ALPHA_TEST);
	glBlendFunc($GL_SRC_ALPHA,$GL_ONE_MINUS_SRC_ALPHA);	
	glAlphaFunc($GL_GREATER,$GL_ZERO);
	
	glColor4ub( 0, 0, 0, 187 );
	glLoadIdentity();
		
	//background
	glBegin($GL_QUADS);
		glVertex2f(getword(%pos,0),getword(%pos,1));			
		glVertex2f(getword(%pos,0) + getword(%size,0), getword(%pos,1));
		glVertex2f(getword(%pos,0) + getword(%size,0), getword(%pos,1) + ($chatmenu::itemcount+1)*15  + 40);
		glVertex2f(getword(%pos,0), getword(%pos,1) + ($chatmenu::itemcount+1)*15  + 40);
	glEnd();
	
	
	glSetFont( "verdana", 14, 0, 9 );

	glColor4ub( 122, 143, 12, 255 );
	glDrawString( getword(%pos,0) + 10, getword(%pos,1)  + 10, $chatmenu::menuLabel);

	glSetFont( "verdana", 10, 0, 9 );
	
	glColor4ub( 255, 255, 255, 255 );
	for(%i=0; %i < $chatmenu::itemcount; %i++)
	{
		glDrawString( getword(%pos,0)  + 25, getword(%pos,1) + (%i+1)*15  + 20, $chatmenu::item[%i, letter] ~ ": ");
		glDrawString( getword(%pos,0) + 25  + 25, getword(%pos,1) + (%i+1)*15  + 20, $chatmenu::item[%i, text]);
	}
}

function vChatMenuHud::Create()
{
	if ( $vChatMenuHud::Loaded )
		return;
	
	$vChatMenuHud::Loaded = true;
	
	vhud::create( "ScriptGL::vChatMenuHud", "0% 0%", "0% 0%", vChatMenuHud::Render );
	HUD::New("ScriptGL::vChatMenuHud", 0, 0, 300, 600);
}

vChatMenuHud::Create();