// vLEDHealth for Tribes 1.40 w/GreyHounds ScriptGL

if($pref::vhud::LEDHealth::digital == "")
$pref::vhud::LEDHealth::digital = "TRUE";

function vhud::LEDHealth::create()
{
	if ( $vLEDHealth::Loaded )
		return;
		
	$vLEDHealth::Loaded = true;

	vhud::create( "ScriptGL::vLEDHealth", "0% 0%", "0% 0%", vhud::vLEDHealth::render );
	HUD::New("ScriptGL::vLEDHealth", 2, 0, 165, 20);
}

function vhud::vLEDHealth::render()
{
	if($Scriptgl::CurrentGui != "playGui")
		return;
		
	if(!Control::getVisible("ScriptGL::vLEDHealth"))
		return;

	%pos = Control::getposition("ScriptGL::vLEDHealth");
	%position[x] = getWord(%pos,0);
	%position[y] = getWord(%pos,1);
	%size = Control::getExtent("ScriptGL::vLEDHealth");
	%size[x] = getWord(%size,0);
	%size[y] = getWord(%size,1);
	
	glDisable($GL_TEXTURE_2D);
	glDisable($GL_SCISSOR_TEST);
	glEnable($GL_ALPHA_TEST);
	glBlendFunc($GL_SRC_ALPHA,$GL_ONE_MINUS_SRC_ALPHA);	
	glAlphaFunc($GL_GREATER,$GL_ZERO);
	glColor4ub(255,255,255,255);

	glDrawTexture("LEDbg.png", $GLEX_DRAW, %position[x] + 2 , %position[y] + 5);
	glDrawTexture("LEDbg.png", $GLEX_DRAW, %position[x] + 2 , %position[y] + 20);

	%green = floor($health / 4);
	%rest = $health % 25;
	%blox = floor($energy / 4);

	if($health <= 33)
		%color = "red";
	else if($health > 33 && $health <= 65)
		%color = "orange";
	else 
		%color = "green";
		
	for(%i = 0; %i < %green; %i++)
		glDrawTexture("L_"~%color~"block.png", $GLEX_DRAW,  %position[x]  + %i*6, %position[y] + 1 );
		
		if($health*(1/4) != %green )
		glDrawTexture("L_redblock.png", $GLEX_DRAW,  %position[x] + (%green)*6, %position[y] + 1 );

	for(%i = 0; %i < %blox; %i++)
		glDrawTexture("nrgblock.png", $GLEX_DRAW,  %position[x]  + %i*6, %position[y] + 16 );

	if($pref::vhud::LEDHealth::digital) {
	glSetFont( "arial", 8, 0, 9 );
	glDrawString(%position[x] + 158, %position[y] + 6, $health);

	glDrawString(%position[x] + 158, %position[y] + 21, $energy);

	}
}

vhud::LEDHealth::create();