// Stork vKillpop - modified

function vhud::killpop::create() 
{
	if ( $vhud::killpop::Loaded )
		return;
		
	$vhud::killpop::Loaded = true;
	
	vhud::create( "ScriptGL::killpop", "0% 0%", "0% 0%", vhud::killpop::onrender );
	HUD::New("ScriptGL::killpop", 0, 0, 400, 42);
}

function vhud::killpop::onrender()
{
	if($Scriptgl::CurrentGui != "playGui")
		return;
	
	if(!Control::getVisible("ScriptGL::killpop"))
		return;

	%position = Control::GetPosition("ScriptGL::killpop");
	%position[x] = getWord(%position,0);
	%position[y] = getWord(%position,1);
	%size = Control::GetExtent("ScriptGL::killpop");
	%size[x] = getWord(%size,0);
	%size[y] = getWord(%size,1);

	glDisable($GL_TEXTURE_2D);
	glColor4ub(0,0,0,0);
	glBegin($GL_QUADS);
		glVertex2f(%position[x] , %position[y]);
		glVertex2f(%position[x] + %size[x], %position[y]);
		glVertex2f(%position[x] + %size[x], %position[y] + %size[y]);
		glVertex2f(%position[x] , %position[y] + %size[y]);
	glEnd();

	glSetFont( "verdanab", 12, 0, 9 );
        glColor4ub( 255, 255, 255, 255 );
	glDrawString(%position[x], %position[y], $kill);
        glColor4ub( 0, 255, 0, 255 );
	glDrawString(%position[x], %position[y] + 30, $tkill);

function killpop::clear() {
	$kill = "";
       	$tkill = "";
	control::setVisible ("ScriptGL::killpop", false);
	}

function KillPop( %killer, %victim, %damage ) {
	if ( %killer != getManagerId() )
		return;
	
	control::setVisible ("ScriptGL::killpop", true);
	$kill = "Killed - " ~ String::escapeFormatting( Client::getName( %victim ) ~ " - Weapon - " ~ %damage);
	localSound(gotcha);
        	Schedule::Add("killpop::clear();", 3);
	}

function TeamKillPop( %killer, %victim, %damage ) {
	if ( %killer != getManagerId() )
		return;

	control::setVisible ("ScriptGL::killpop", true);
	$tkill = "TeamKilled - " ~ String::escapeFormatting( Client::getName( %victim ));
	localSound(nelson);
        	Schedule::Add("killpop::clear();", 3);
	}
}

vhud::killpop::create();

Event::Attach( eventClientKilled, KillPop );
Event::Attach( eventClientTeamKilled, TeamKillPop );